=== debian/changelog ===
kim-api (2.1.3-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:12 +0100

kim-api (2.1.3-5) unstable; urgency=medium

  * [91b17dc] Add xxd to d/tests/control

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Jan 2020 20:56:00 +0100

kim-api (2.1.3-4) unstable; urgency=medium

  * [cd8a09a] Add one more autopkgtest

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2020 20:58:19 +0100

kim-api (2.1.3-3) unstable; urgency=medium

  * [44f5352] Update d\watch
  * [81011b2] Set upstream metadata fields: Repository, Repository-Browse.

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2020 18:38:27 +0100

kim-api (2.1.3-2) unstable; urgency=medium

  * [97eb2bb] Use AUTOPKGTEST_TMP for d/tests
  * [b6e6343] Drop -v2 prefix. Join all dev-files into libkim-api-dev package
  * [4ebf297] Rename manpage
  * [5c378dd] Fix autopkgtests

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Jan 2020 22:43:24 +0100

kim-api (2.1.3-1) unstable; urgency=medium

  * [ccf00d6] New upstream version 2.1.3
  * [cbfdc0c] Refresh patches
  * [9682675] Set upstream metadata fields: Bug-Submit.

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Jan 2020 19:57:41 +0100

kim-api (2.1~pre1-2) unstable; urgency=medium

  * [838ce08] Fix autopkgtests
  * [8b6dd64] Disable range-check for fortran-files

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Jan 2020 18:09:38 +0100

kim-api (2.1~pre1-1) unstable; urgency=medium

  * [846cacb] Update install files
  * [0ac4a7b] Update patches
  * [706679b] Set compat-level 12
  * [dcd3f1f] Set Standards-Version to 4.4.1
  * [48f94b9] Remove patch 01_no_rpath.patch that is missing from
              debian/patches/series.
  * [b8a1454] Set upstream metadata fields: Bug-Database.
  * [bde4ff3] Use canonical URL in Vcs-Browser.
  * New upstream version 2.1

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jan 2020 19:45:29 +0100
